Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ColumnsTagHandler

    java.lang.Object
      com.sun.facelets.tag.TagHandler
          com.sun.facelets.tag.MetaTagHandler
              org.richfaces.taglib.ComponentHandler
                  org.richfaces.taglib.ColumnsTagHandler

All Implemented Interfaces:
  com.sun.facelets.FaceletHandler

    public class ColumnsTagHandler

extends ComponentHandler

TODO Class description goes here.

Author:
  "Andrey Markavtsov"

Field Summary
`protected ForEachIterator` | `items` Iterator for columns's tag value attribute
`protected java.lang.Object` | `rawItems` Value attribute value

Fields inherited from class com.sun.facelets.tag.TagHandler
`nextHandler, tag, tagId`

Constructor Summary
`ColumnsTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)` TODO Description goes here.

Method Summary
`void` | `apply(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent parent)` Method handles UIComponent tree creation in accordance with the JSF 1.2 spec.
`protected void` | `applyNextHandler(com.sun.facelets.FaceletContext ctx, javax.faces.component.UIComponent c)`

Methods inherited from class org.richfaces.taglib.ComponentHandler
`createComponent, createMetaRuleset, getId, onComponentCreated`

Methods inherited from class com.sun.facelets.tag.MetaTagHandler
`setAttributes`

Methods inherited from class com.sun.facelets.tag.TagHandler
`findNextByType, getAttribute, getRequiredAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### items

    protected ForEachIterator items

  Iterator for columns's tag value attribute

### rawItems

    protected java.lang.Object rawItems

  Value attribute value

Constructor Detail

### ColumnsTagHandler

    public ColumnsTagHandler(com.sun.facelets.tag.jsf.ComponentConfig config)

  TODO Description goes here.

  Parameters:
    `config` -

Method Detail

### apply

    public void apply(com.sun.facelets.FaceletContext ctx,
                      javax.faces.component.UIComponent parent)
               throws java.io.IOException,
                      javax.faces.FacesException,
                      javax.el.ELException

  Description copied from class: `ComponentHandler`
  Method handles UIComponent tree creation in accordance with the JSF 1.2 spec.
  1. First determines this UIComponent's id by calling `getId(FaceletContext)`.
  2. Search the parent for an existing UIComponent of the id we just grabbed
  3. If found, `mark` its children for deletion.
  4. If not found, call `createComponent`.
     1. Only here do we apply `attributes`
     2. Set the UIComponent's id
     3. Set the RendererType of this instance
  5. Now apply the nextHandler, passing the UIComponent we've created/found.
  6. Now add the UIComponent to the passed parent
  7. Lastly, if the UIComponent already existed (found), then `finalize` for deletion.

  Specified by:
    `apply` in interface `com.sun.facelets.FaceletHandler`
  Overrides:
    `apply` in class `ComponentHandler`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`
  See Also:
    `FaceletHandler.apply(com.sun.facelets.FaceletContext, javax.faces.component.UIComponent)`

### applyNextHandler

    protected void applyNextHandler(com.sun.facelets.FaceletContext ctx,
                                    javax.faces.component.UIComponent c)
                             throws java.io.IOException,
                                    javax.faces.FacesException,
                                    javax.el.ELException

  Overrides:
    `applyNextHandler` in class `ComponentHandler`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`
    `javax.el.ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.